using System.Collections;
using System.Collections.Generic;
using Cirrostrata.CycleList.CaliburnTest.Model;

namespace Cirrostrata.CycleList.Model
{
    public class EquipmentStatusBindingSource : IEnumerable<EquipmentStatus>
    {
        private readonly IList<EquipmentStatus> _equipmentStatus;

        public EquipmentStatusBindingSource()
        {
            _equipmentStatus = new List<EquipmentStatus>
                                   {
                                       EquipmentStatus.BrandNew,
                                       EquipmentStatus.Okay,
                                       EquipmentStatus.Battered,
                                       EquipmentStatus.SmashedOnStage
                                   };
        }

        public IEnumerator<EquipmentStatus> GetEnumerator()
        {
            return _equipmentStatus.GetEnumerator();
        }

        IEnumerator IEnumerable.GetEnumerator()
        {
            return GetEnumerator();
        }
    }
}