﻿using Caliburn.Core;
using Caliburn.PresentationFramework.ApplicationModel;
using Cirrostrata.CycleList.CaliburnTest.Presenters;
using Microsoft.Practices.ServiceLocation;

namespace Cirrostrata.CycleList.CaliburnTest
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App
    {
        protected override object CreateRootModel()
        {
            var binder = (DefaultBinder)Container.GetInstance<IBinder>();
            binder.EnableMessageConventions();
            binder.EnableBindingConventions();

            return Container.GetInstance<IShellPresenter>();
        }

        protected override IServiceLocator CreateContainer()
        {
            return new SimpleContainer();
        }
    }
}
