﻿using System.Collections.Generic;
using Cirrostrata.CycleList.CaliburnTest.Model;

namespace Cirrostrata.CycleList.Test
{
    /// <summary>
    /// Interaction logic for CycleListDemo.xaml
    /// </summary>
    public partial class CycleListDemo
    {
        public IList<Equipment> AllEquipment { get; set; }

        public CycleListDemo()
        {
            InitializeComponent();

            AllEquipment = new List<Equipment>
                               {
                                   new Equipment("Guitar", EquipmentStatus.BrandNew),
                                   new Equipment("Amp", EquipmentStatus.BrandNew),
                                   new Equipment("Cables", EquipmentStatus.BrandNew),
                                   new Equipment("Keyboard", EquipmentStatus.BrandNew),
                                   new Equipment("Drums", EquipmentStatus.BrandNew)
                               };

            DataContext = this;
        }

        private void Close_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            Close();
        }
    }
}
